module.exports = {
  env: {
    browser: true,
    es2021: true,
    node: true
  },
  extends: [
    "plugin:vue/vue3-essential",
    "standard",
    "@vue/prettier",
    "eslint:recommended"
  ],
  parserOptions: {
    ecmaVersion: "latest",
    sourceType: "module"
  },
  plugins: ["vue"],
  rules: {
    "no-console": "warn",
    "vue/multi-word-component-names": "off",
    camelcase: "off",
    eqeqeq: "error",
    "vue/eqeqeq": "error",
    "no-unused-vars": [
      "error",
      { vars: "all", args: "after-used", ignoreRestSiblings: false }
    ],
    "linebreak-style": ["off",'windows'],
  },
  globals: {
    BMapGL: "readonly",
    JSEncrypt: "readonly",
    Aliplayer: "readonly",
  }
};
