import { MODEL } from "@/assets/js/constant";

export default [
  {
    path: "/enterprise_management",
    redirect: "/enterprise_management/information",
    meta: { title: "企业管理", model: MODEL["1"] },
    component: "children",
    children: [
      {
        path: "/enterprise_management/information",
        redirect: "/enterprise_management/information/info",
        meta: { title: "企业信息" },
        component: "children",
        children: [
          {
            path: "/enterprise_management/information/info",
            meta: { title: "企业信息", isSubMenu: false },
            component: "children",
            children: [
              {
                path: "",
                component: "enterprise_management/information/info",
              },
              {
                path: "/enterprise_management/information/info/edit",
                meta: {
                  title: "编辑",
                  activeMenu: "/enterprise_management/information/info",
                },
                component: "enterprise_management/information/edit",
              },
            ],
          },
          {
            path: "/enterprise_management/information/industry_qualifications",
            meta: { title: "行业资质", isSubMenu: false },
            component: "children",
            children: [
              {
                path: "",
                component:
                  "enterprise_management/industry_qualifications/index",
              },
              {
                path: "/enterprise_management/information/industry_qualifications/add",
                meta: {
                  title: "新增",
                  activeMenu:
                    "/enterprise_management/information/industry_qualifications",
                },
                component: "enterprise_management/industry_qualifications/add",
              },
              {
                path: "/enterprise_management/information/industry_qualifications/update",
                meta: {
                  title: "修改",
                  activeMenu:
                    "/enterprise_management/information/industry_qualifications",
                },
                component: "enterprise_management/industry_qualifications/add",
              },
              {
                path: "/enterprise_management/information/industry_qualifications/view",
                meta: {
                  title: "查看",
                  activeMenu:
                    "/enterprise_management/information/industry_qualifications",
                },
                component: "enterprise_management/industry_qualifications/view",
              },
            ],
          },
        ],
      },
      {
        path: "/enterprise_management/department",
        meta: { title: "组织机构", isSubMenu: false },
        component: "enterprise_management/department/index",
      },
      {
        path: "/enterprise_management/post",
        meta: { title: "岗位管理", isSubMenu: false },
        component: "enterprise_management/post/index",
      },
      {
        path: "/enterprise_management/user",
        meta: { title: "用户管理", isSubMenu: false },
        component: "children",
        children: [
          {
            path: "",
            component: "enterprise_management/user/index",
          },
          {
            path: "/enterprise_management/user/add",
            meta: {
              title: "新增",
              activeMenu: "/enterprise_management/user",
            },
            component: "enterprise_management/user/add",
          },
          {
            path: "/enterprise_management/user/edit",
            meta: {
              title: "修改",
              activeMenu: "/enterprise_management/user",
            },
            component: "enterprise_management/user/add",
          },
        ],
      },
    ],
  },
  {
    path: "/system_operation",
    redirect: "/system_operation/system_documents",
    meta: { title: "体系运行", model: MODEL["1"] },
    component: "children",
    children: [
      {
        path: "/system_operation/system_documents",
        meta: { title: "体系文件", isSubMenu: false },
        component: "system_operation/system_documents/index",
      },
    ],
  },
  {
    path: "/risk_control",
    redirect: "/risk_control/risk_point",
    meta: { title: "风险管控", model: MODEL["1"] },
    component: "children",
    children: [
      {
        path: "/risk_control/risk_point",
        meta: { title: "风险点(单元)", isSubMenu: false },
        component: "children",
        children: [
          {
            path: "",
            component: "risk_control/risk_point/index",
          },
          {
            path: "/risk_control/risk_point/view",
            meta: { title: "查看", activeMenu: "/risk_control/risk_point" },
            component: "risk_control/risk_point/view",
          },
        ],
      },
      {
        path: "/risk_control/identifying_parts",
        meta: { title: "辨识部位", isSubMenu: false },
        component: "children",
        children: [
          {
            path: "",
            component: "risk_control/identifying_parts/index",
          },
          {
            path: "/risk_control/identifying_parts/resources_risk",
            meta: {
              title: "匹配资源存在风险",
              activeMenu: "/risk_control/identifying_parts",
            },
            component: "risk_control/identifying_parts/resources_risk",
          },
        ],
      },
      {
        path: "/risk_control/ledger",
        meta: { title: "风险管控台账", isSubMenu: false },
        component: "children",
        children: [
          {
            path: "",
            component: "risk_control/ledger/index",
          },
          {
            path: "/risk_control/ledger/allocation",
            meta: {
              title: "配置",
              activeMenu: "/risk_control/ledger",
            },
            component: "risk_control/ledger/allocation",
          },
        ],
      },
    ],
  },
  {
    path: "/hazard_investigation",
    redirect: "/hazard_investigation/inventory_management",
    meta: { title: "隐患排查", model: MODEL["1"] },
    component: "children",
    children: [
      {
        path: "/hazard_investigation/inventory_management",
        meta: { title: "清单管理", isSubMenu: false },
        component: "children",
        children: [
          {
            path: "",
            component: "hazard_investigation/inventory_management/index",
          },
        ],
      },
    ],
  },
  {
    path: "/platform_resource_library",
    redirect: "/platform_resource_library/courseware",
    meta: { title: "平台资源库", model: MODEL["2"] },
    component: "children",
    children: [
      {
        path: "/platform_resource_library/courseware",
        redirect: "/platform_resource_library/courseware/video",
        meta: { title: "课件资源管理" },
        component: "children",
        children: [
          {
            path: "/platform_resource_library/courseware/video",
            meta: { title: "视频课件", isSubMenu: false },
            component: "children",
            children: [
              {
                path: "",
                component: "platform_resource_library/courseware/video",
              },
              {
                path: "/platform_resource_library/courseware/video/view",
                meta: {
                  title: "课件习题",
                  activeMenu: "/platform_resource_library/courseware/video",
                },
                component: "platform_resource_library/courseware/view",
              },
            ],
          },
          {
            path: "/platform_resource_library/courseware/data",
            meta: { title: "资料课件", isSubMenu: false },
            component: "children",
            children: [
              {
                path: "",
                component: "platform_resource_library/courseware/data",
              },
              {
                path: "/platform_resource_library/courseware/data/view",
                meta: {
                  title: "课件习题",
                  activeMenu: "/platform_resource_library/courseware/data",
                },
                component: "platform_resource_library/courseware/view",
              },
            ],
          },
        ],
      },
      {
        path: "/platform_resource_library/curriculum/list",
        meta: { title: "课程管理", isSubMenu: false },
        component: "children",
        children: [
          {
            path: "",
            component: "platform_resource_library/curriculum/list",
          },
          {
            path: "/platform_resource_library/curriculum/view",
            meta: {
              title: "课程详情查看",
              activeMenu: "/platform_resource_library/curriculum/list",
            },
            component: "platform_resource_library/curriculum/view",
          },
        ],
      },
      {
        path: "/platform_resource_library/paper/list",
        meta: { title: "试卷管理", isSubMenu: false },
        component: "children",
        children: [
          {
            path: "",
            component: "platform_resource_library/paper/list",
          },
          {
            path: "/platform_resource_library/paper/view",
            meta: {
              title: "试卷详情查看",
              activeMenu: "/platform_resource_library/paper/list",
            },
            component: "platform_resource_library/paper/view",
          },
        ],
      },
    ],
  },
  {
    path: "/archives",
    redirect: "/archives/user",
    meta: { title: "档案管理", model: MODEL["2"] },
    component: "children",
    children: [
      {
        path: "/archives/user",
        meta: { title: "一人一档", isSubMenu: false },
        component: "children",
        children: [
          {
            path: "",
            component: "archives/user/index",
          },
          {
            path: "/archives/user/task_list",
            meta: {
              title: "任务详情",
              activeMenu: "/archives/user",
            },
            component: "archives/user/task_list",
          },
          {
            path: "/archives/user/detail",
            meta: {
              title: "任务详情",
              activeMenu: "/archives/user",
            },
            component: "archives/user/detail",
          },
        ],
      },
      {
        path: "/archives/semester",
        meta: { title: "一期一档", isSubMenu: false },
        component: "children",
        children: [
          {
            path: "",
            component: "archives/semester/index",
          },
          {
            path: "/archives/semester/catalogue",
            meta: {
              title: "档案目录",
              activeMenu: "/archives/semester",
            },
            component: "archives/corp/catalogue",
          },
        ],
      },
      {
        path: "/archives/corp",
        meta: { title: "一企一档", isSubMenu: false },
        component: "archives/corp/index",
      },
    ],
  },
  {
    path: "/confined_space",
    redirect: "/confined_space/job_data",
    meta: { title: "受限空间作业管理", model: MODEL["3"] },
    component: "children",
    children: [
      {
        path: "/confined_space/job_data",
        meta: { title: "受限空间作业数据", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "confined_space/job_data/index" },
          {
            path: "/confined_space/job_data/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/confined_space/job_data",
            },
            component: "confined_space/job_data/view",
          },
        ],
      },
      {
        path: "/confined_space/ledger",
        meta: { title: "受限空间台账", isSubMenu: false },
        component: "confined_space/ledger/index",
      },
      {
        path: "/confined_space/archive",
        meta: { title: "归档管理", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "confined_space/archive/index" },
          {
            path: "/confined_space/archive/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/confined_space/archive",
            },
            component: "confined_space/archive/view",
          },
        ],
      },
    ],
  },
  {
    path: "/blind_plate_plugging",
    redirect: "/blind_plate_plugging/job_data",
    meta: { title: "盲板抽堵作业管理", model: MODEL["3"] },
    component: "children",
    children: [
      {
        path: "/blind_plate_plugging/job_data",
        meta: { title: "盲板抽堵作业数据", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "blind_plate_plugging/job_data/index" },
          {
            path: "/blind_plate_plugging/job_data/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/blind_plate_plugging/job_data",
            },
            component: "blind_plate_plugging/job_data/view",
          },
        ],
      },
      {
        path: "/blind_plate_plugging/archive",
        meta: { title: "归档管理", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "blind_plate_plugging/archive/index" },
          {
            path: "/blind_plate_plugging/archive/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/blind_plate_plugging/archive",
            },
            component: "blind_plate_plugging/archive/view",
          },
        ],
      },
    ],
  },
  {
    path: "/groundbreaking",
    redirect: "/groundbreaking/job_data",
    meta: { title: "动土作业管理", model: MODEL["3"] },
    component: "children",
    children: [
      {
        path: "/groundbreaking/job_data",
        meta: { title: "动土作业数据", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "groundbreaking/job_data/index" },
          {
            path: "/groundbreaking/job_data/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/groundbreaking/job_data",
            },
            component: "groundbreaking/job_data/view",
          },
        ],
      },
      {
        path: "/groundbreaking/archive",
        meta: { title: "归档管理", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "groundbreaking/archive/index" },
          {
            path: "/groundbreaking/archive/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/groundbreaking/archive",
            },
            component: "groundbreaking/archive/view",
          },
        ],
      },
    ],
  },
  {
    path: "/high",
    redirect: "/high/job_data",
    meta: { title: "高处作业管理", model: MODEL["3"] },
    component: "children",
    children: [
      {
        path: "/high/job_data",
        meta: { title: "高处作业数据", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "high/job_data/index" },
          {
            path: "/high/job_data/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/high/job_data",
            },
            component: "high/job_data/view",
          },
        ],
      },
      {
        path: "/high/archive",
        meta: { title: "归档管理", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "high/archive/index" },
          {
            path: "/high/archive/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/high/archive",
            },
            component: "high/archive/view",
          },
        ],
      },
    ],
  },
  {
    path: "/hoisting",
    redirect: "/hoisting/job_data",
    meta: { title: "吊装作业管理", model: MODEL["3"] },
    component: "children",
    children: [
      {
        path: "/hoisting/job_data",
        meta: { title: "吊装作业数据", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "hoisting/job_data/index" },
          {
            path: "/hoisting/job_data/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/hoisting/job_data",
            },
            component: "hoisting/job_data/view",
          },
        ],
      },
      {
        path: "/hoisting/archive",
        meta: { title: "归档管理", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "hoisting/archive/index" },
          {
            path: "/hoisting/archive/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/hoisting/archive",
            },
            component: "hoisting/archive/view",
          },
        ],
      },
    ],
  },
  {
    path: "/open_circuit",
    redirect: "/open_circuit/job_data",
    meta: { title: "断路作业管理", model: MODEL["3"] },
    component: "children",
    children: [
      {
        path: "/open_circuit/job_data",
        meta: { title: "断路作业数据", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "open_circuit/job_data/index" },
          {
            path: "/open_circuit/job_data/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/open_circuit/job_data",
            },
            component: "open_circuit/job_data/view",
          },
        ],
      },
      {
        path: "/open_circuit/archive",
        meta: { title: "归档管理", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "open_circuit/archive/index" },
          {
            path: "/open_circuit/archive/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/open_circuit/archive",
            },
            component: "open_circuit/archive/view",
          },
        ],
      },
    ],
  },
  {
    path: "/temporary_electricity_usage",
    redirect: "/temporary_electricity_usage/job_data",
    meta: { title: "临时用电作业管理", model: MODEL["3"] },
    component: "children",
    children: [
      {
        path: "/temporary_electricity_usage/job_data",
        meta: { title: "临时用电作业数据", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "temporary_electricity_usage/job_data/index" },
          {
            path: "/temporary_electricity_usage/job_data/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/temporary_electricity_usage/job_data",
            },
            component: "temporary_electricity_usage/job_data/view",
          },
        ],
      },
      {
        path: "/temporary_electricity_usage/archive",
        meta: { title: "归档管理", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "temporary_electricity_usage/archive/index" },
          {
            path: "/temporary_electricity_usage/archive/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/temporary_electricity_usage/archive",
            },
            component: "temporary_electricity_usage/archive/view",
          },
        ],
      },
    ],
  },
  {
    path: "/hot_work",
    redirect: "/hot_work/job_data",
    meta: { title: "动火作业管理", model: MODEL["3"] },
    component: "children",
    children: [
      {
        path: "/hot_work/job_data",
        meta: { title: "动火作业数据", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "hot_work/job_data/index" },
          {
            path: "/hot_work/job_data/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/hot_work/job_data",
            },
            component: "hot_work/job_data/view",
          },
        ],
      },
      {
        path: "/hot_work/archive",
        meta: { title: "归档管理", isSubMenu: false },
        component: "children",
        children: [
          { path: "", component: "hot_work/archive/index" },
          {
            path: "/hot_work/archive/view",
            meta: {
              title: "审批表详情",
              activeMenu: "/hot_work/archive",
            },
            component: "hot_work/archive/view",
          },
        ],
      },
    ],
  },
];
